Managing Longevity Reports

Longevity Reports

Longevity screener analyses your client's DNA and biometric data to holistically determine their risk of developing serious medical conditions.

📘

Note

The Longevity Report is exclusively available for genome files processed using the SelfDecode DNA kit. Third-party genome files are not supported for this feature at this time. For accessing Longevity Report, please ensure the use of a SelfDecode DNA kit.

Longevity Jobs

Each longevity job is an entity that represent the pipeline, from start to finish, to generate the longevity report for a particular profile. Creating a longevity job would automatically initiate the pipeline to generate the longevity report for your profile. You can track the longevity job for any updates or errors as it moves across the pipeline.

Longevity jobs are genome-file based jobs, meaning that they require a genome file to be processed. For more details regarding the longevity jobs, their creation, and how to fetch them, please refer to the Genome File Based Jobs

Creating a Longevity Job for the First Time

If you don't have the genome file processed for your profile and are creating a longevity job for the first time, please refer to Creating a Job for the First Time - Uploading + Processing Genome File.

Longevity Questionnaire

When creating a longevity job, you can include the answers to the longevity questionnaire.. Height and weight are required. Additionally longevity_conditions and ethnicity of grandparents can be included. Please take look at the schema for more details and all supported values for ethnicity and longevity_conditions. Once you have already completed the questionnaire for this profile you can skip it in the subsequent jobs.

Examples:

POST https://selfdecode.com/service/b2b-integrations/longevity-job/

Payload to generate only longevity sans PDF

{
  "profile_id": "1ca85f64-5717-4562-b3fc-2c963f66afa6",
  "desired_status": "report_generated",
  "questionnaire": {
        "weight": 60,
        "height": 150,
  }
}

Payload to generate longevity + PDF

{
  "profile_id": "1ca85f64-5717-4562-b3fc-2c963f66afa6",
  "desired_status": "pdf_generated",
  "questionnaire": {
        "weight": 60,
        "height": 150,
  },
  "pdf_config": {
    "lang": "es"
  },
  "pdf_file_name": "John Doe - Longevity",
}

Fetching Longevity Jobs

Please refer to Fetching Jobs section of Genome File Based Jobs.

Longevity PDFs

Please refer to PDFs section in Genome File Based Jobs.

Composed Longevity

The longevity job endpoint is used to generate the PDF report for your longevity data. However, if you want the longevity results themselves in JSON format, you can use the composed longevity endpoint. This composed endpoints contains all the required details for composing your longevity report.

Longevity Page Illustration

To get an idea of how the fields returned from the /composed-longevity-screener/ endpoint can be used to present a report of longevity risks. Please refer to the illustration below, which pinpoints how certain fields correspond to certain UI elements and text.